[PATCH] (Title Corrected) Build fails to compile jchuff.c using gcc 4.8.5 on zLinux

John Paul Adrian Glaubitz glaubitz at physik.fu-berlin.de
Thu Jan 18 17:59:43 UTC 2018


Hi!

On 01/18/2018 06:27 PM, Erik Joelsson wrote:
> When adding a disabled warning like this, we need to also add a clear comment
> describing why it's necessary. In this case it's caused by a bug in GCC and only
> affects certain versions. Otherwise, we will likely try to remove them later and
> without information on why it was added, we will just conclude that the warning
> is not triggering with the official GCC version and remove it.

I don't quite understand why we would want to patch OpenJDK-11 in the first place
when the reason this bug is triggered is a) a known toolchain bug in an old and
unsupported version of gcc and b) can be easily disabled by building with
"--disable-warnings-as-errors".

The only thing here to patch is obviously gcc and not any other project that is
built with gcc. I am pretty confident that OpenJDK isn't the only project that
is affected by this particular gcc bug.

And if a Linux distribution is using gcc-4.8.5 as their default compiler, they will
most likely not be using OpenJDK-11 but rather be stuck with OpenJDK-7 or 8.

Thus, I don't see a point in working around bugs in an ancient toolchain in the
current OpenJDK code.

Thanks,
Adrian

-- 
  .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz at debian.org
`. `'   Freie Universitaet Berlin - glaubitz at physik.fu-berlin.de
   `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913


More information about the build-dev mailing list